Create a Credit Note

Overview

Creates and issues a new credit note against an existing invoice. The credit note is immediately issued (no draft status). The service validates that the credit amount doesn't exceed the invoice's remaining creditable balance, generates EN 16931-compliant XML, stores it in S3, and publishes a billing.credit_note.created event.

Available for Staff, Directory, and Client tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The unique identifier of the invoice this credit note is issued against. Required field. Links to Core invoice

string

Credit note notes/reason. Maximum 200 characters. Optional. Used to provide context for the credit

line_items
array of objects
required
length ≥ 1

Array of credit note line items. Required, at least one item required

line_items*

A line item refers to each credited item in the credit note. Credit note total amount will be a sum of all line items. Line items can be pre-populated from the original invoice or added as custom items.

string
required

Line item name

number
required

Line item quantity

number
required

Unit price/amount

number

Line item total amount (quantity × unit_amount). Auto-calculated, read-only

taxes
array of objects

Tax information array

taxes
string

Credit note unique, sequential number. Numeric value (like invoice number). Auto-generated if not provided. Format: numeric sequence (e.g., 1, 2, 3...) or yearly prefixed (e.g., 2025-0001, 2025-0002...)

string

Optional: The unique identifier of the payment being refunded. Included when refunding a specific payment. Used for refund flow, is not stored on the credit note entity and not returned on the response

boolean

Whether to notify the recipient. Used only during creation to determine if email should be sent. Not saved on credit note.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json